# 使用 OpenJDK 官方镜像作为基础镜像
FROM openjdk:17-jdk-slim

# 创建日志目录并设置权限
RUN mkdir -p /home/wwwroot/modaq/logs && chmod -R 755 /home/wwwroot/modaq/logs

# 设置工作目录
WORKDIR /home/wwwroot/modaq

# 复制构建好的 JAR 文件到容器中
COPY mo-daq/target/*.jar /home/wwwroot/modaq/app.jar

# 暴露 Spring Boot 默认端口（根据实际项目修改）
EXPOSE 8080

# 启动命令
ENTRYPOINT ["java","-jar","app.jar"]